#ifndef SECTIONTOEXECUTE_SEEN
#define SECTIONTOEXECUTE_SEEN

#include "nomDeLogiciel.h"
#include "abstractElement.h"
#include "abstractSoftware.h"

class sectionToExecute
{
 public :

  sectionToExecute(abstractElement*,abstractElement*,abstractSoftware*);
  
  /** Deprecated : To be removed ! */
  sectionToExecute(abstractElement*, int, abstractElement*, int, abstractSoftware*);

  ~sectionToExecute() {;}

  inline abstractElement* getFirstElement() {
    return firstElement;
  }
    
  inline abstractElement* getLastElement() {
    return lastElement;
  }
    
  /** Deprecated : To be removed ! */
  inline int getElementNumberInSection() const {
    return firstElementNumberInBeamLine;
  }
    
  /** Deprecated : To be removed ! */
  inline int getLastElementNumberInSection()  const {
    return lastElementNumberInBeamLine;
  }

  inline abstractSoftware* getSoftware() const {
    return software;
  }
  
 private :

  abstractElement*  firstElement;
  abstractElement*  lastElement;
  abstractSoftware* software;

  int firstElementNumberInBeamLine;
  int lastElementNumberInBeamLine;  
};
#endif
