#ifndef GWT_SECTORPARAMETERS_SEEN
#define GWT_SECTORPARAMETERS_SEEN

#include <string>
#include <Wt/WContainerWidget>
#include <Wt/WLineEdit>
#include <Wt/WDialog>
#include <Wt/WText>

using namespace Wt;
using namespace std;

class dataManager;

class GWt_sectorParameters : public WContainerWidget
{
  WLineEdit* geometry_;
  WLineEdit* nCells_;
  WLineEdit* lCell_;
  WLineEdit* pc_;

  dataManager* dt_;
  WText *status_;
  WDialog *dialog_;
  string envoi_[5];

  string* getSectorParameters();
  void setStatus();

 public :
  
  GWt_sectorParameters() {;}
  GWt_sectorParameters(dataManager*);
  virtual ~GWt_sectorParameters() {;}

  void execDialog();
  void dialogDone(WDialog::DialogCode code);
  void update();
  void renew();
  void setText(WText*);
};
#endif
